## python-osmapi 0.6.2

=== requirements.txt ===
# This file lists the dependencies of this extension.
# Install with a command like: pip install -r pip-requirements.txt
pypandoc==0.7.0
Unidecode==0.04.14
pdoc==0.3.1
Pygments==1.6

## python-osmapi 0.6.0

=== debian/changelog ===
python-osmapi (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Install CONTRIBUTING.md in documentation.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 30 May 2015 16:56:13 +0200

python-osmapi (0.5.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Apr 2015 14:00:10 +0200

python-osmapi (0.5.0-1~exp2) experimental; urgency=medium

  * Add ODbL-1.0 license for OSM test data.
  * Update my email to @debian.org address.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 16 Feb 2015 23:43:19 +0100

python-osmapi (0.5.0-1~exp1) experimental; urgency=medium

  * Initial upload (closes: #774508)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 03 Jan 2015 19:15:59 +0100

=== debian/control ===
Source: python-osmapi
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>,
           Angelos Tzotsos <gcpp.kalxas@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python3-all,
               python-setuptools,
               python3-setuptools,
               python-flake8,
               python3-flake8,
               python-nose,
               python3-nose,
               python-mock,
               python3-mock,
               python-tox,
               python-xmltodict
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-osmapi.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/python-osmapi.git
Homepage: http://wiki.openstreetmap.org/wiki/Osmapi

Package: python-osmapi
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Description: Python interface to OpenStreetMap API
 This package contains a Python module implementing the OpenStreetMap
 API (version 0.6). The module allows access the OSM database, and
 provides full featured manipulation of data using Python. Please note
 that scripted imports and automated edits should only be carried out by
 those with experience and understanding of the way the OpenStreetMap
 community create maps, and only with careful planning and consultation.
 .
 This is the Python 2 version of the library.

Package: python3-osmapi
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Python 3 interface to OpenStreetMap API
 This package contains a Python module implementing the OpenStreetMap
 API (version 0.6). The module allows access the OSM database, and
 provides full featured manipulation of data using Python. Please note
 that scripted imports and automated edits should only be carried out by
 those with experience and understanding of the way the OpenStreetMap
 community create maps, and only with careful planning and consultation.
 .
 This is the Python 3 version of the library.

=== debian/watch ===
version=3
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?v?(\d[\d\.]*)\.tar\.gz/osmapi-$1.tar.gz/" \
https://github.com/metaodi/osmapi/releases \
(?:.*/)*(?:rel|v|osmapi|)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-osmapi 0.6.2

=== debian/changelog ===
python-osmapi (0.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Homepage URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Jan 2016 07:35:51 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-osmapi.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/python-osmapi.git
-Homepage: http://wiki.openstreetmap.org/wiki/Osmapi
+Homepage: https://wiki.openstreetmap.org/wiki/Osmapi
 
 Package: python-osmapi
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=osmapi

%:
	dh $@ --with python2,python3 --buildsystem pybuild

override_dh_auto_test:
	# Check PEP-8 code style and McCabe complexity
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="flake8 --show-pep8 --show-source ." dh_auto_test

	# run tests
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="nosetests --verbose" dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?v?(\d[\d\.]*)\.tar\.gz/osmapi-$1.tar.gz/ \
https://github.com/metaodi/osmapi/releases \
(?:.*/)*(?:rel|v|osmapi|)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-osmapi 0.8.1

=== debian/changelog ===
python-osmapi (0.8.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Jan 2017 18:00:53 +0100

python-osmapi (0.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 22 Dec 2016 07:18:47 +0100

python-osmapi (0.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Add python{,3}-requests to dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 21 Dec 2016 18:18:02 +0100

python-osmapi (0.7.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 21 Dec 2016 18:35:14 +0100

python-osmapi (0.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 10 Dec 2016 17:56:51 +0100

python-osmapi (0.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Add python{,3}-requests to build dependencies.
  * Add test_ChangesetDownloadContainingUnicode.xml to ODbL licensed files.
  * Update filenamemangle in watch file to handle other tar extensions.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Dec 2016 19:25:06 +0100

python-osmapi (0.6.2-2) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Don't run flake8 in test taget, causes FTBFS.
  * Bump Standards-Version to 3.9.8, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 May 2016 19:06:02 +0200

python-osmapi (0.6.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 11 Jan 2016 19:11:25 +0100

python-osmapi (0.6.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Jun 2015 15:00:22 +0200

python-osmapi (0.5.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Update branch in gbp.conf and Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 May 2015 14:46:02 +0200

=== debian/control ===
--- 
+++ 
@@ -16,17 +16,20 @@
                python3-nose,
                python-mock,
                python3-mock,
+               python-requests,
+               python3-requests,
                python-tox,
                python-xmltodict
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-osmapi.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/python-osmapi.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/python-osmapi.git -b jessie-backports
 Homepage: https://wiki.openstreetmap.org/wiki/Osmapi
 
 Package: python-osmapi
 Architecture: all
-Depends: ${misc:Depends},
-         ${python:Depends}
+Depends: python-requests,
+         ${python:Depends},
+         ${misc:Depends}
 Description: Python interface to OpenStreetMap API
  This package contains a Python module implementing the OpenStreetMap
  API (version 0.6). The module allows access the OSM database, and
@@ -39,8 +42,9 @@
 
 Package: python3-osmapi
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends}
+Depends: python3-requests,
+         ${python3:Depends},
+         ${misc:Depends}
 Description: Python 3 interface to OpenStreetMap API
  This package contains a Python module implementing the OpenStreetMap
  API (version 0.6). The module allows access the OSM database, and

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=osmapi

%:
	dh $@ --with python2,python3 --buildsystem pybuild

override_dh_auto_test:
	# run tests
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="nosetests --verbose" dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

## python-osmapi 1.1.0

=== requirements.txt ===
--- 
+++ 
@@ -4,3 +4,4 @@
 Unidecode==0.04.14
 pdoc==0.3.1
 Pygments==1.6
+requests==2.8.0

=== debian/changelog ===
python-osmapi (1.1.0-2) unstable; urgency=medium

  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.5, no changes.
  * Add module import tests to autopkgtest configuration.
  * Strip trailing whitespace from control & rules files.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Jul 2018 11:43:55 +0200

python-osmapi (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 Oct 2017 08:03:12 +0200

python-osmapi (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop python{,3}-httpretty build dependencies.
  * Drop offline-tests.patch, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 07 Sep 2017 16:04:15 +0200

python-osmapi (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 07 Sep 2017 10:00:46 +0200

python-osmapi (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Add python{,3}-httpretty to build dependencies.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Add patch to skip test requiring network.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 Sep 2017 22:16:11 +0200

=== debian/control ===
--- 
+++ 
@@ -20,9 +20,9 @@
                python3-requests,
                python-tox,
                python-xmltodict
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-osmapi.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/python-osmapi.git -b jessie-backports
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-osmapi
+Vcs-Git: https://salsa.debian.org/debian-gis-team/python-osmapi.git
 Homepage: https://wiki.openstreetmap.org/wiki/Osmapi
 
 Package: python-osmapi
@@ -54,4 +54,3 @@
  community create maps, and only with careful planning and consultation.
  .
  This is the Python 3 version of the library.
-

=== debian/tests/control ===
# Test installability
Depends: @
Test-Command: /bin/true

# Test module import (Python 2)
Depends: python-all, python-osmapi
Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import osmapi; print(osmapi)" ; done

# Test module import (Python 3)
Depends: python3-all, python3-osmapi
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import osmapi; print(osmapi)" ; done

## python-osmapi 1.2.2

=== requirements.txt ===
# This file lists the dependencies of this extension.
# Install with a command like: pip install -r pip-requirements.txt
pdoc==0.3.2
Pygments==2.2.0
pypandoc==1.4
requests==2.20.0
Unidecode==1.0.22

=== debian/changelog ===
python-osmapi (1.2.2-3) unstable; urgency=medium

  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.
  * Drop Python 2 support.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 21 Jul 2019 10:29:40 +0200

python-osmapi (1.2.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.3.0, no changes.
  * Change python-tox build dependency to tox.
    (closes: #924826)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 17 Mar 2019 19:47:58 +0100

python-osmapi (1.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Nov 2018 17:25:56 +0100

python-osmapi (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes.
  * Drop autopkgtests to test installability & module import.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Update watch file to limit matches to archive path.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Nov 2018 18:01:39 +0100

=== debian/control ===
Source: python-osmapi
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>,
           Angelos Tzotsos <gcpp.kalxas@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-flake8,
               python3-nose,
               python3-mock,
               python3-requests,
               python3-xmltodict,
               tox
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-osmapi
Vcs-Git: https://salsa.debian.org/debian-gis-team/python-osmapi.git
Homepage: https://wiki.openstreetmap.org/wiki/Osmapi

Package: python3-osmapi
Architecture: all
Depends: python3-requests,
         ${python3:Depends},
         ${misc:Depends}
Description: Python 3 interface to OpenStreetMap API
 This package contains a Python module implementing the OpenStreetMap
 API (version 0.6). The module allows access the OSM database, and
 provides full featured manipulation of data using Python. Please note
 that scripted imports and automated edits should only be carried out by
 those with experience and understanding of the way the OpenStreetMap
 community create maps, and only with careful planning and consultation.
 .
 This is the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=osmapi

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_test:
	# run tests
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="nosetests3 --verbose" dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

## python-osmapi 1.3.0

=== debian/changelog ===
python-osmapi (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Name field from upstream metadata.
  * Bump debhelper compat to 10.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Oct 2020 05:40:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Angelos Tzotsos <gcpp.kalxas@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
                dh-python,
                python3-all,
                python3-setuptools,
@@ -14,7 +14,7 @@
                python3-requests,
                python3-xmltodict,
                tox
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-osmapi
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-osmapi.git
 Homepage: https://wiki.openstreetmap.org/wiki/Osmapi

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?(?:rel|v|osmapi)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/osmapi-$1.$2/ \
https://github.com/metaodi/osmapi/releases \
(?:.*?/archive/)*(?:rel|v|osmapi)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-osmapi 3.0.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,20 @@
            Angelos Tzotsos <gcpp.kalxas@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
+               python3-dotenv,
+               python3-flake8,
+               python3-mock,
+               python3-pytest,
+               python3-pytest-cov,
+               python3-requests,
+               python3-responses,
                python3-setuptools,
-               python3-flake8,
-               python3-nose,
-               python3-mock,
-               python3-requests,
                python3-xmltodict,
                tox
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-osmapi
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-osmapi.git
 Homepage: https://wiki.openstreetmap.org/wiki/Osmapi

## python-osmapi 3.0.0+ds

=== requirements.txt ===
pdoc==8.0.1
Pygments==2.10.0
requests==2.26.0
python-dotenv

=== debian/changelog ===
python-osmapi (3.0.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Add python3-{dotenv,responses} to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 13 Feb 2022 07:54:32 +0100

python-osmapi (2.0.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * Switch from nose to pytest.
  * Copy entire tests directory structure to build directory.
  * Repack upstream tarball to exclude pre-built documentation.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 24 Nov 2021 20:31:33 +0100

python-osmapi (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Nov 2021 06:05:58 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=osmapi
export PYBUILD_TEST_PYTEST=1
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

## python-osmapi 3.1.0%2Bds

=== Makefile ===
.DEFAULT_GOAL := help
.PHONY: coverage deps help lint test docs

coverage:  ## Run tests with coverage
	python -m coverage erase
	python -m coverage run --include=osmapi/* -m pytest -ra
	python -m coverage report -m

deps:  ## Install dependencies
	python -m pip install --upgrade pip
	python -m pip install -r requirements.txt
	python -m pip install -r test-requirements.txt

docs:  ## Generate documentation
	python -m pdoc -o docs osmapi

lint:  ## Linting of source code
	python -m flake8 --statistics --show-source .

test:  ## Run tests
	python -m pytest --cov=osmapi tests/

help: SHELL := /bin/bash
help: ## Show help message
	@IFS=$$'\n' ; \
	help_lines=(`fgrep -h "##" $(MAKEFILE_LIST) | fgrep -v fgrep | sed -e 's/\\$$//' | sed -e 's/##/:/'`); \
	printf "%s\n\n" "Usage: make [task]"; \
	printf "%-20s %s\n" "task" "help" ; \
	printf "%-20s %s\n" "------" "----" ; \
	for help_line in $${help_lines[@]}; do \
		IFS=$$':' ; \
		help_split=($$help_line) ; \
		help_command=`echo $${help_split[0]} | sed -e 's/^ *//' -e 's/ *$$//'` ; \
		help_info=`echo $${help_split[2]} | sed -e 's/^ *//' -e 's/ *$$//'` ; \
		printf '\033[36m'; \
		printf "%-20s %s" $$help_command ; \
		printf '\033[0m'; \
		printf "%s\n" $$help_info; \
	done

## python-osmapi 3.1.0+ds

=== debian/changelog ===
python-osmapi (3.1.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes.
  * Add Rules-Requires-Root to control file.
  * Update copyright file.
  * Drop obsolete tox build dependency.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 18 Jan 2023 17:36:04 +0100

=== debian/control ===
--- 
+++ 
@@ -15,12 +15,12 @@
                python3-requests,
                python3-responses,
                python3-setuptools,
-               python3-xmltodict,
-               tox
-Standards-Version: 4.6.0
+               python3-xmltodict
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-osmapi
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-osmapi.git
 Homepage: https://wiki.openstreetmap.org/wiki/Osmapi
+Rules-Requires-Root: no
 
 Package: python3-osmapi
 Architecture: all

## python-osmapi 4.0.0%2Bds

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,11 @@
 docs:  ## Generate documentation
 	python -m pdoc -o docs osmapi
 
+format:  ## Format source code (black codestyle)
+	python -m black osmapi examples tests *.py
+
 lint:  ## Linting of source code
+	python -m black --check --diff osmapi examples tests *.py
 	python -m flake8 --statistics --show-source .
 
 test:  ## Run tests

=== debian/changelog ===
python-osmapi (4.0.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat to 13.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 16 Jul 2023 06:36:15 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Angelos Tzotsos <gcpp.kalxas@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-dotenv,

## python-osmapi 4.0.0+ds

=== requirements.txt ===
pdoc==8.0.1
Pygments==2.10.0
requests==2.31.0
python-dotenv

## python-osmapi 4.1.0+ds

=== requirements.txt ===
pdoc==8.0.1
Pygments==2.15.0
requests==2.31.0
python-dotenv

=== debian/changelog ===
python-osmapi (4.1.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Use autopkgtest-pkg-pybuild testsuite.
  * Enable Salsa CI.
  * Remove generated files in clean target.
    (closes: #1047510)
  * Switch to dh-sequence-*.
  * Drop python3-mock build dependency.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Mar 2024 18:37:29 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-dotenv,
                python3-flake8,
-               python3-mock,
                python3-pytest,
                python3-pytest-cov,
                python3-requests,
@@ -21,6 +21,7 @@
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-osmapi.git
 Homepage: https://wiki.openstreetmap.org/wiki/Osmapi
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-osmapi
 Architecture: all

## python-osmapi 4.2.0+ds

=== debian/changelog ===
python-osmapi (4.2.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 08 Aug 2024 16:49:27 +0200

## python-osmapi 4.3.0+ds

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 	python -m pip install --upgrade pip
 	python -m pip install -r requirements.txt
 	python -m pip install -r test-requirements.txt
+	pre-commit install
 
 docs:  ## Generate documentation
 	python -m pdoc -o docs osmapi
@@ -21,8 +22,8 @@
 	python -m black --check --diff osmapi examples tests *.py
 	python -m flake8 --statistics --show-source .
 
-test:  ## Run tests
-	python -m pytest --cov=osmapi tests/
+test:  ## Run tests (run in UTF-8 mode in Windows)
+	python -Xutf8 -m pytest --cov=osmapi tests/
 
 help: SHELL := /bin/bash
 help: ## Show help message

=== requirements.txt ===
pdoc==14.5.1
Pygments==2.15.0
requests==2.32.0
python-dotenv

=== debian/changelog ===
python-osmapi (4.3.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 21 Jan 2025 15:24:19 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-responses,
                python3-setuptools,
                python3-xmltodict
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-osmapi
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-osmapi.git
 Homepage: https://wiki.openstreetmap.org/wiki/Osmapi

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
 
 %:
-	dh $@ --with python3 --buildsystem pybuild
+	dh $@ --buildsystem pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.md

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?(?:rel|v|osmapi)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/osmapi-$1.$2/,\
repacksuffix=+ds \
https://github.com/metaodi/osmapi/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|osmapi)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-osmapi 5.0.0+ds

=== Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 lint:  ## Linting of source code
 	python -m black --check --diff osmapi examples tests *.py
 	python -m flake8 --statistics --show-source .
+	python -m mypy osmapi
 
 test:  ## Run tests (run in UTF-8 mode in Windows)
 	python -Xutf8 -m pytest --cov=osmapi tests/

=== requirements.txt ===
pdoc==14.5.1
Pygments==2.15.0
requests==2.32.4
python-dotenv

=== debian/changelog ===
python-osmapi (5.0.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.3, no changes.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Annotate build dependencies with nocheck.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Update copyright file for renamed files.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Feb 2026 05:54:49 +0100

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,22 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>,
            Angelos Tzotsos <gcpp.kalxas@gmail.com>
 Section: python
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-python3,
                python3-all,
                python3-dotenv,
-               python3-flake8,
-               python3-pytest,
-               python3-pytest-cov,
+               python3-flake8 <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-pytest-cov <!nocheck>,
                python3-requests,
-               python3-responses,
+               python3-responses <!nocheck>,
                python3-setuptools,
-               python3-xmltodict
-Standards-Version: 4.7.0
+               python3-xmltodict <!nocheck>
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-osmapi
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-osmapi.git
 Homepage: https://wiki.openstreetmap.org/wiki/Osmapi
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-osmapi
